#pragma once
#include <string>


class LReductor
{
public:
	LReductor();
	LReductor(int branchHeight, int leafHeight, int branchNumber, int seed, float p_furcate, float p_leaf);
	~LReductor();
	void reduction();
	std::string getLSentence();
	void setLSentence(std::string sentence);

private:
	std::string L_sentence;
	float p1, p2;
	int branchHeight;
	int leafHeight;
	int branchNumber;
	int randomSeed;
	std::string reduction(int branchCounter, int leafCounter, int& index);
};
